Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1516250

Summary: Creating new role section is missing information on network port requirement
Product: Red Hat OpenStack Reporter: Vagner Farias <vfarias>
Component: documentationAssignee: Dan Macpherson <dmacpher>
Status: ASSIGNED --- QA Contact: RHOS Documentation Team <rhos-docs>
Severity: unspecified Docs Contact:
Priority: low    
Version: 10.0 (Newton)CC: dcadzow, dmacpher, mburns, rhos-docs, srevivo
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1516199 Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1516199    
Bug Blocks:    

Description Vagner Farias 2017-11-22 11:06:51 UTC
+++ This bug was initially created as a clone of Bug #1516199 +++

Description of problem:
In the "Creating new role" section[1] there should be some note stating custom roles will require custom neutron ports to be configured for the new role. Otherwise, deployments will likely fail as the nodes using this role will have all interfaces configured with the same provisioning network IP address.

Instead of duplicating information, this note could recommend the reader to implement the relevant configuration as explained in "Selection Networks to Deploy" section[2].

I don't think configuring ports for the new role is too obvious, mainly if the reader isn't used to customize networks or network ports.


[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html/advanced_overcloud_customization/roles#sect-Creating_a_New_Role

[2] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html/advanced_overcloud_customization/sect-isolating_networks#sect-Selecting_Networks_to_Deploy

Comment 2 Dan Macpherson 2018-08-07 06:31:18 UTC
This requires a note with a link from [1] to [2] in each of Vagner's examples.

Comment 3 Derek 2018-11-26 23:28:08 UTC
Applies to OSP 10 only.